Get all global connections

get

/epm/rest/v1/globalConnections

Request

Query Parameters
  • Filters Global Connections
    Allowed Values: [ "supportedApplication::{id of the supported application}" ]
Back to Top

Response

Supported Media Types

200 Response

Global Connections found
Body ()
Root Schema : ItemsGlobalConnections
Type: object
Show Source
Nested Schema : items
Type: array
Read Only: true
Show Source
Nested Schema : GlobalConnection
Type: object
Show Source
  • Global Connection Details
    Discriminator: type
    The details specific to this connection type. All connection types include a "type", the type of the connection. See the "type" object for allowed values. EPM connections also include: "url", the URL for the connection, "identityDomain", the identity domain for the connection, "username", the username for the connection, "password", a placeholder value for the connection's password, "folder", the default folder in the EPM inbox EPM OAuth connections also include: "url", the URL for the connection, "clientId", a placeholder value for the connection's client id, "accessToken", a placeholder value for the connection's access token, "refreshToken", a placeholder value for the connection's refresh token, "authType", the authentication type for the connection, "folder", the folder in the EPM inbox Oracle Object Store connections also include: "url", the URL for the connection, "username", the username for the connection, "password", a placeholder value for the connection's password, "defaultBucket", the default Object Storage bucket, "defaultSubFolder", the default Object Storage subfolder Oracle Object Store API Request Sign authenticated connections also include: "tenancyOciId", the OCI Tenancy Id for the connection, "userOciId", the OCI user Id for the connection, "authType", the authentication type for the connection, "publicKeyFingerprint", the Fingerprint of the public key for the connection, "privateKeyFileId", the file Id of the private key that was uploaded to temp for the connection, UCM connections using Basic Authentication also include: "url", the URL for the connection, "username", the username for the connection, "password", a placeholder value for the connection's password, "identityDomain", the identity domain for the connection, "defaultDocumentAccount", the default UCM document account UCM connections using OAuth authentication also include: "url", the ERP Application URL for the connection, "idcsTokenUrl", Provider authentication server used to exchange an authorization code for an access token, "clientId", Client ID for the connection, "scope", provides a method to govern the amount of access that is granted to a JSON Web Token, "certificateAlias", Alias name that an EDM user provides while creating the client in ERP IDCS, "privateKeyFileId", the file Id of the private key that was uploaded to temp for the connection, "authType", the authentication type for the connection, "defaultDocumentAccount", the default UCM document account AVCS connections also include: "url", the URL for the connection, "clientId", the client Id for the connection, "clientSecret", the client Secret for the connection AZURE connections also include: "url", the URL for the connection, "authType", the authentication type for the connection, "tenantId", the tenant Id for the connection, "clientId", the client Id for the connection, "clientSecret", the client Secret for the connection, "defaultContainerName", the name of the default container "defaultFolder", the name of the default folder
  • Read Only: true
    Allowed Values: [ "ORACLE_OBJECT_STORE", "UCM", "EPM", "AVCS", "AZURE" ]
  • User
  • Read Only: true
  • Read Only: true
  • links
  • User
  • Read Only: true
  • supportedApplications
    Read Only: true
  • Read Only: true
  • Read Only: true
Nested Schema : Global Connection Details
Type: object
Discriminator: type
The details specific to this connection type. All connection types include a "type", the type of the connection. See the "type" object for allowed values. EPM connections also include: "url", the URL for the connection, "identityDomain", the identity domain for the connection, "username", the username for the connection, "password", a placeholder value for the connection's password, "folder", the default folder in the EPM inbox EPM OAuth connections also include: "url", the URL for the connection, "clientId", a placeholder value for the connection's client id, "accessToken", a placeholder value for the connection's access token, "refreshToken", a placeholder value for the connection's refresh token, "authType", the authentication type for the connection, "folder", the folder in the EPM inbox Oracle Object Store connections also include: "url", the URL for the connection, "username", the username for the connection, "password", a placeholder value for the connection's password, "defaultBucket", the default Object Storage bucket, "defaultSubFolder", the default Object Storage subfolder Oracle Object Store API Request Sign authenticated connections also include: "tenancyOciId", the OCI Tenancy Id for the connection, "userOciId", the OCI user Id for the connection, "authType", the authentication type for the connection, "publicKeyFingerprint", the Fingerprint of the public key for the connection, "privateKeyFileId", the file Id of the private key that was uploaded to temp for the connection, UCM connections using Basic Authentication also include: "url", the URL for the connection, "username", the username for the connection, "password", a placeholder value for the connection's password, "identityDomain", the identity domain for the connection, "defaultDocumentAccount", the default UCM document account UCM connections using OAuth authentication also include: "url", the ERP Application URL for the connection, "idcsTokenUrl", Provider authentication server used to exchange an authorization code for an access token, "clientId", Client ID for the connection, "scope", provides a method to govern the amount of access that is granted to a JSON Web Token, "certificateAlias", Alias name that an EDM user provides while creating the client in ERP IDCS, "privateKeyFileId", the file Id of the private key that was uploaded to temp for the connection, "authType", the authentication type for the connection, "defaultDocumentAccount", the default UCM document account AVCS connections also include: "url", the URL for the connection, "clientId", the client Id for the connection, "clientSecret", the client Secret for the connection AZURE connections also include: "url", the URL for the connection, "authType", the authentication type for the connection, "tenantId", the tenant Id for the connection, "clientId", the client Id for the connection, "clientSecret", the client Secret for the connection, "defaultContainerName", the name of the default container "defaultFolder", the name of the default folder
Show Source
  • Read Only: true
    Allowed Values: [ "ORACLE_OBJECT_STORE", "ORACLE_OBJECT_STORE_REQ_SIGN", "EPM", "EPM_OAUTH", "UCM", "UCM_OAUTH", "AVCS", "AZURE" ]
    Type should be set to "EPM" for Oracle Cloud EPM connections, "EPM_OAUTH" for Oracle EPM_OAUTH connections, "UCM" for Oracle Cloud ERP connections, "UCM_OAUTH" for Oracle Cloud ERP OAuth connections, "ORACLE_OBJECT_STORE" for Oracle Object Store connections, "ORACLE_OBJECT_STORE_REQ_SIGN" for Oracle Object Store API Request Sign Authenticated connections, "AZURE" for Microsoft Azure connections, and "AVCS" for Oracle Address, Email, and Phone Verification connections.
Nested Schema : User
Type: object
Show Source
Nested Schema : supportedApplications
Type: array
Read Only: true
Show Source
Nested Schema : artifactAssignments
Type: array
Show Source
Nested Schema : associatedRoles
Type: array
Show Source
Nested Schema : emailAddresses
Type: array
Show Source
Nested Schema : Preferences
Type: object
Show Source
Nested Schema : ArtifactAssignment
Type: object
Show Source
Nested Schema : Artifact
Type: object
Show Source
Nested Schema : Role
Type: object
Show Source
Nested Schema : TimeZone
Type: object
Show Source

404 Response

Global Connections not found
Back to Top

Examples

The following example shows how to retrieve all the global connections by submitting a GET request on the REST resource using cURL.

curl --user edmcs_cloud_user -X GET https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections

Example of the Response Body

The following example shows the contents of the response body in JSON format:

{
    "items": [
        {
            "id": "b3ee4f46-9b49-4422-b8b5-7113038e7015",
            "name": "Fusion",
            "description": "Fusion",
            "connectionDetails": {
                "url": "http[s]://hostname[:port]",
                "username": "User1",
                "password": "daa64d99-9c88-4109-a75b-c9756b7d0796",
                "type": "UCM"
            },
            "connectionType": "UCM",
            "timeCreated": "2021-06-16T08:57:04.163Z",
            "timeModified": "2022-01-05T03:22:07.488Z",
            "supportedApplications": [],
            "links": [
                {
                    "rel": "self",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/b3ee4f46-9b49-4422-b8b5-7113038e7015"
                },
                {
                    "rel": "edit",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/b3ee4f46-9b49-4422-b8b5-7113038e7015",
                    "method": "PUT"
                },
                {
                    "rel": "delete",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/b3ee4f46-9b49-4422-b8b5-7113038e7015",
                    "method": "DELETE"
                },
                {
                    "rel": "testConnection",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/b3ee4f46-9b49-4422-b8b5-7113038e7015/test",
                    "method": "POST"
                }
            ],
            "createdByUser": {
                "id": "d93d33f8-f24e-4eaa-8c14-df45501d949a",
                "userName": "Casey.Brown",
                "fullName": "Casey Brown",
                "firstName": "Casey",
                "lastName": "Brown",
                "emailAddresses": [],
                "links": [
                    {
                        "rel": "self",
                        "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/users/d93d33f8-f24e-4eaa-8c14-df45501d949a"
                    }
                ],
                "nameInitials": ""
            },
            "modifiedByUser": {
                "id": "d93d33f8-f24e-4eaa-8c14-df45501d949a",
                "userName": "Casey.Brown",
                "fullName": "Casey Brown",
                "firstName": "Casey",
                "lastName": "Brown",
                "emailAddresses": [],
                "links": [
                    {
                        "rel": "self",
                        "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/users/d93d33f8-f24e-4eaa-8c14-df45501d949a"
                    }
                ],
                "nameInitials": ""
            }
        },
        {
            "id": "779366dc-b0d4-45d2-9018-afdbcf4ff748",
            "name": "Account Reconciliation",
            "description": "Account Reconciliation Production",
            "connectionDetails": {
                "url": "http[s]://hostname[:port]",
                "username": "User1",
                "password": "daa64d99-9c88-4109-a75b-c9756b7d0796",
                "type": "EPM"
            },
            "connectionType": "EPM",
            "timeCreated": "2021-04-02T23:44:55.840Z",
            "timeModified": "2022-01-05T03:21:41.171Z",
            "supportedApplications": [],
            "links": [
                {
                    "rel": "self",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/779366dc-b0d4-45d2-9018-afdbcf4ff748"
                },
                {
                    "rel": "edit",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/779366dc-b0d4-45d2-9018-afdbcf4ff748",
                    "method": "PUT"
                },
                {
                    "rel": "delete",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/779366dc-b0d4-45d2-9018-afdbcf4ff748",
                    "method": "DELETE"
                },
                {
                    "rel": "testConnection",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/779366dc-b0d4-45d2-9018-afdbcf4ff748/test",
                    "method": "POST"
                }
            ],
            "createdByUser": {
                "id": "d93d33f8-f24e-4eaa-8c14-df45501d949a",
                "userName": "Casey.Brown",
                "fullName": "Casey Brown",
                "firstName": "Casey",
                "lastName": "Brown",
                "emailAddresses": [],
                "links": [
                    {
                        "rel": "self",
                        "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/users/d93d33f8-f24e-4eaa-8c14-df45501d949a"
                    }
                ],
                "nameInitials": ""
            },
            "modifiedByUser": {
                "id": "d93d33f8-f24e-4eaa-8c14-df45501d949a",
                "userName": "Casey.Brown",
                "fullName": "Casey Brown",
                "firstName": "Casey",
                "lastName": "Brown",
                "emailAddresses": [],
                "links": [
                    {
                        "rel": "self",
                        "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/users/d93d33f8-f24e-4eaa-8c14-df45501d949a"
                    }
                ],
                "nameInitials": ""
            }
        },
        {
            "id": "81ed9bc5-0a59-437b-8715-3c769aadfd4e",
            "name": "Financial Consolidation and Close",
            "description": "Financial Consolidation and Close Extracts",
            "connectionDetails": {
                "url": "http[s]://hostname[:port]",
                "username": "User1",
                "password": "daa64d99-9c88-4109-a75b-c9756b7d0796",
                "folder": "inbox",
                "type": "EPM"
            },
            "connectionType": "EPM",
            "timeCreated": "2021-08-05T00:26:06.258Z",
            "timeModified": "2022-01-05T03:21:52.760Z",
            "supportedApplications": [],
            "links": [
                {
                    "rel": "self",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/81ed9bc5-0a59-437b-8715-3c769aadfd4e"
                },
                {
                    "rel": "edit",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/81ed9bc5-0a59-437b-8715-3c769aadfd4e",
                    "method": "PUT"
                },
                {
                    "rel": "delete",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/81ed9bc5-0a59-437b-8715-3c769aadfd4e",
                    "method": "DELETE"
                },
                {
                    "rel": "testConnection",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/81ed9bc5-0a59-437b-8715-3c769aadfd4e/test",
                    "method": "POST"
                }
            ],
            "createdByUser": {
                "id": "d93d33f8-f24e-4eaa-8c14-df45501d949a",
                "userName": "Casey.Brown",
                "fullName": "Casey Brown",
                "firstName": "Casey",
                "lastName": "Brown",
                "emailAddresses": [],
                "links": [
                    {
                        "rel": "self",
                        "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/users/d93d33f8-f24e-4eaa-8c14-df45501d949a"
                    }
                ],
                "nameInitials": ""
            },
            "modifiedByUser": {
                "id": "d93d33f8-f24e-4eaa-8c14-df45501d949a",
                "userName": "Casey.Brown",
                "fullName": "Casey Brown",
                "firstName": "Casey",
                "lastName": "Brown",
                "emailAddresses": [],
                "links": [
                    {
                        "rel": "self",
                        "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/users/d93d33f8-f24e-4eaa-8c14-df45501d949a"
                    }
                ],
                "nameInitials": ""
            }
        },
        {
            "id": "3172e803-eb66-49b8-9721-6918cb6c629a",
            "name": "VisPCM",
            "description": "Profitability and Cost Management VisPCM",
            "connectionDetails": {
                "url": "http[s]://hostname[:port]",
                "username": "user1",
                "password": "daa64d99-9c88-4109-a75b-c9756b7d0796",
                "folder": "profitinbox",
                "type": "EPM"
            },
            "connectionType": "EPM",
            "timeCreated": "2021-07-02T19:38:34.180Z",
            "timeModified": "2022-01-05T03:22:18.943Z",
            "supportedApplications": [],
            "links": [
                {
                    "rel": "self",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/3172e803-eb66-49b8-9721-6918cb6c629a"
                },
                {
                    "rel": "edit",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/3172e803-eb66-49b8-9721-6918cb6c629a",
                    "method": "PUT"
                },
                {
                    "rel": "delete",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/3172e803-eb66-49b8-9721-6918cb6c629a",
                    "method": "DELETE"
                },
                {
                    "rel": "testConnection",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/3172e803-eb66-49b8-9721-6918cb6c629a/test",
                    "method": "POST"
                }
            ],
            "createdByUser": {
                "id": "d93d33f8-f24e-4eaa-8c14-df45501d949a",
                "userName": "Casey.Brown",
                "fullName": "Casey Brown",
                "firstName": "Casey",
                "lastName": "Brown",
                "emailAddresses": [],
                "links": [
                    {
                        "rel": "self",
                        "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/users/d93d33f8-f24e-4eaa-8c14-df45501d949a"
                    }
                ],
                "nameInitials": ""
            },
            "modifiedByUser": {
                "id": "d93d33f8-f24e-4eaa-8c14-df45501d949a",
                "userName": "Casey.Brown",
                "fullName": "Casey Brown",
                "firstName": "Casey",
                "lastName": "Brown",
                "emailAddresses": [],
                "links": [
                    {
                        "rel": "self",
                        "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/users/d93d33f8-f24e-4eaa-8c14-df45501d949a"
                    }
                ],
                "nameInitials": ""
            }
        },
        {
            "id": "9a274df9-5286-450a-b1a6-411f59a2629e",
            "name": "Address Verification",
            "description": "Address Verification",
            "connectionDetails": {
                "url": "http[s]://hostname[:port]",
                "clientId": "test",
                "clientSecret": "daa64d99-9c88-4109-a75b-c9756b7d0796",
                "type": "AVCS"
            },
            "connectionType": "AVCS",
            "timeCreated": "2025-10-03T15:28:39.791Z",
            "timeModified": "2025-10-03T15:29:28.352Z",
            "supportedApplications": [],
            "links": [
                {
                    "rel": "self",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/9a274df9-5286-450a-b1a6-411f59a2629e"
                },
                {
                    "rel": "edit",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/9a274df9-5286-450a-b1a6-411f59a2629e",
                    "method": "PUT"
                },
                {
                    "rel": "delete",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/9a274df9-5286-450a-b1a6-411f59a2629e",
                    "method": "DELETE"
                },
                {
                    "rel": "testConnection",
                    "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/9a274df9-5286-450a-b1a6-411f59a2629e/test",
                    "method": "POST"
                },
                {
                    "rel": "verifyAddress",
                    "href": "http://localhost:8080/dmcs/rest/v1/globalConnections/9a274df9-5286-450a-b1a6-411f59a2629e/verifyAddress",
                    "method": "POST"
                }
            ],
            "createdByUser": {
                "id": "d93d33f8-f24e-4eaa-8c14-df45501d949a",
                "userName": "Casey.Brown",
                "fullName": "Casey Brown",
                "firstName": "Casey",
                "lastName": "Brown",
                "emailAddresses": [],
                "links": [
                    {
                        "rel": "self",
                        "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/users/d93d33f8-f24e-4eaa-8c14-df45501d949a"
                    }
                ],
                "nameInitials": ""
            },
            "modifiedByUser": {
                "id": "d93d33f8-f24e-4eaa-8c14-df45501d949a",
                "userName": "Casey.Brown",
                "fullName": "Casey Brown",
                "firstName": "Casey",
                "lastName": "Brown",
                "emailAddresses": [],
                "links": [
                    {
                        "rel": "self",
                        "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/users/d93d33f8-f24e-4eaa-8c14-df45501d949a"
                    }
                ],
                "nameInitials": ""
            }
        }
    ],
    "links": [
        {
            "rel": "create",
            "href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections",
            "method": "POST"
        }
    ],
    "hasMore": false,
    "totalResults": 5,
    "limit": 0,
    "count": 5
}
Back to Top